Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server.config
Class VirtualServerConfig

`java.lang.Object
oracle.ovs.api.datamodel.server.config.VirtualServerConfig`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MasterVirtualServerConfig, UtilitVirtualServerConfig

      public class VirtualServerConfig

extends java.lang.Object
implements java.io.Serializable

This class holds the configuration details for adding a new virtual virtualServer to the virtualServer pool Configuration include:
`VirtualServer` Object.

See Also:
  `VirtualServer`, `UtilityVirtualServer`, Serialized Form

Constructor Summary
`VirtualServerConfig()` Deprecated. Default constructor.
`VirtualServerConfig(UtilityVirtualServer server)` Construct VirtualServerConfig by Utility VirtualServer Object.
`VirtualServerConfig(VirtualServer server)` Construct VirtualServerConfig by VirtualServer Object.

Method Summary
`UtilityVirtualServer` | `getUtilityVirtualServer()` Get Utility Virtual Server
`VirtualServer` | `getVirtualServer()` Get VirtualServer Object.
`void` | `setUtilityVirtualServer(UtilityVirtualServer uvs)` Set Utility Virtual Server
`void` | `setVirtualServer(VirtualServer vs)` Set VirtualServer Object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualServerConfig

    public VirtualServerConfig(VirtualServer server)

  Construct VirtualServerConfig by VirtualServer Object.

  User can use this construct to transter `VirtualServer` object into `VirtualServerConfig`.

  Parameters:
    `server` - Virtual Server
  See Also:
    `VirtualServer`

### VirtualServerConfig

    public VirtualServerConfig(UtilityVirtualServer server)

  Construct VirtualServerConfig by Utility VirtualServer Object. User can use this construct to transter `UtilityVirtualServer` object into `VirtualServerConfig`.
  Parameters:
    `server` - Utility Server

### VirtualServerConfig

    public VirtualServerConfig()

  Deprecated. Default constructor.

Method Detail

### getVirtualServer

    public VirtualServer getVirtualServer()

  Get VirtualServer Object.
  Returns:
    Virtual Server

### setVirtualServer

    public void setVirtualServer(VirtualServer vs)

  Set VirtualServer Object
  Parameters:
    `vs` - Virtual Server

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    VirtualServerConfig object description
  See Also:
    `Object.toString()`

### getUtilityVirtualServer

    public UtilityVirtualServer getUtilityVirtualServer()

  Get Utility Virtual Server
  Returns:
    Utility Virtual Server

### setUtilityVirtualServer

    public void setUtilityVirtualServer(UtilityVirtualServer uvs)

  Set Utility Virtual Server
  Parameters:
    `uvs` - Utility Virtual Server

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.